When a write is done into the random device, rnd(4) only a small part of the
data was actually used.

Apply by doing:
	cd /usr/src
	patch -p0 < 017_rnd.patch
And then rebuild your kernel.

Index: sys/dev/rnd.c
===================================================================
RCS file: /cvs/src/sys/dev/rnd.c,v
retrieving revision 1.45
diff -u -r1.45 rnd.c
--- sys/dev/rnd.c	2000/10/22 01:08:52	1.45
+++ sys/dev/rnd.c	2001/01/23 03:47:23
@@ -612,7 +612,7 @@
 	int new_rotate;
 	u_int32_t w;
 
-	while (n--) {
+	for (; n--; buf++) {
 		w = roll(*buf, random_state.input_rotate);
 		i = random_state.add_ptr =
 		    (random_state.add_ptr - 1) & (POOLWORDS - 1);
